function love.load()
    SCROLLING_SPEED = 200 -- pixel per second
    Y_OFFSET = -360 -- shows the most interesting part of the image
    IMAGE_WIDTH = 1920
    WINDOW_WIDTH = 800
    MAXIMUM_X_POSITION = (IMAGE_WIDTH - WINDOW_WIDTH) / 2
    
    x_position = 0 -- starting in the center of the image
    
    layers = {}
    table.insert(layers, love.graphics.newImage("landscape_0005_6_background.png"))
    table.insert(layers, love.graphics.newImage("landscape_0004_5_clouds.png"))
    table.insert(layers, love.graphics.newImage("landscape_0003_4_mountain.png"))
    table.insert(layers, love.graphics.newImage("landscape_0002_3_trees.png"))
    table.insert(layers, love.graphics.newImage("landscape_0001_2_trees.png"))
    table.insert(layers, love.graphics.newImage("landscape_0000_1_trees.png"))
end

function love.draw()
    for index, layer in ipairs(layers) do
        love.graphics.draw(layer, index/(#layers)*(x_position-MAXIMUM_X_POSITION), Y_OFFSET)
    end
end

function love.update(dt)
    if love.keyboard.isDown("left") then
        x_position = math.min(x_position + SCROLLING_SPEED*dt, MAXIMUM_X_POSITION)
    elseif love.keyboard.isDown("right") then
        x_position = math.max(x_position - SCROLLING_SPEED*dt, -MAXIMUM_X_POSITION)
    end
end
